Bug 13120 - Failed to remove backlink of memberOf when deleting deleted user: did not find base dn deleted group
Failed to remove backlink of memberOf when deleting deleted user: did not fin...
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.7.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on: 13095
Blocks:
  Show dependency treegraph
 
Reported: 2017-11-06 11:03 UTC by Andrej Gessel
Modified: 2017-11-30 08:41 UTC (History)
3 users (show)

See Also:


Attachments
Patch for master (1.57 KB, application/mbox)
2017-11-06 11:03 UTC, Andrej Gessel
no flags Details
Patch for v4-7-test (2.28 KB, patch)
2017-11-27 10:17 UTC, Stefan Metzmacher
abartlet: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrej Gessel 2017-11-06 11:03:51 UTC
Created attachment 13758 [details]
Patch for master

I had some replication issues with Samba 4.7.0 as RODC:
https://lists.samba.org/archive/samba/2017-October/211536.html

Failed to apply records: ../source4/dsdb/samdb/ldb_modules/repl_meta_data.c:4218: Failed to remove backlink of memberOf when deleting CN=USER\0ADEL:a1f2a2cc-1179-4734-b753-c121ed02a34c,CN=Deleted Objects,DC=samdom,DC=intern: dsdb_module_search_dn: did not find base dn CN=GROUP\0ADEL:030d0be1-3ada-4b93-8371-927f20923116,CN=Deleted Objects,DC=samdom,DC=intern (0 results): Operations error Failed to commit objects: WERR_GEN_FAILURE/NT_STATUS_INVALID_NETWORK_RESPONSE

I maybe found the solution for this issue, the search request do not find base dn because DSDB_SEARCH_SHOW_DELETED flag was not set.


Andrew Bartlett wrote already a test for this.


https://lists.samba.org/archive/samba-technical/2017-October/123455.html
Comment 1 Stefan Metzmacher 2017-11-27 10:17:46 UTC
Created attachment 13813 [details]
Patch for v4-7-test

This needs to be based on the patches of bug #13095
Comment 2 Karolin Seeger 2017-11-29 07:53:45 UTC
(In reply to Stefan Metzmacher from comment #1)
Pushed to autobuild-v4-7-test.
Comment 3 Karolin Seeger 2017-11-30 08:41:40 UTC
(In reply to Karolin Seeger from comment #2)
Pushed to v4-7-test.
Closing out bug report.

Thanks!